qiime fondue change temporary downloads location

q2cli version 2023.7.0 with fondue

When i running command like this:
sras_temp.qza (6.1 KB)

qiime fondue get-all --i-accession-ids sras_temp.qza --p-email [email protected] --output-dir "fondue".
i got exception:
Downloading sequences for run SRR14298095 (attempt 1): 71%|▋| 24/34 [33:11<04:32024-03-29 [MainThread] [ERROR] [q2_fondue.sequences]: Not enough space for fasterq-dump to process ID=SRR14298095.
[MainThread] [INFO] [q2_fondue.sequences]: Download finished... Below are the error messages of the first failed runs:
ID=SRR14298095, Error=cursor-cache : 5,242,880 bytes
buf-size : 1,048,576 bytes
mem-limit : 52,428,800 bytes
threads : 2
scratch-path : '/tmp/tmpa683s3xp/fasterq.tmp*_mycompname*
total ram : 15,974,461,440 bytes
output-format: FASTQ split 3
check-mode : on
output-file : '/tmp/tmpa683s3xp/SRR14298095.fastq'
output-dir : '.'
output : '/tmp/tmpa683s3xp/SRR14298095.fastq'
append-mode : 'NO'
stdout-mode : 'NO'
seq-defline : '@$ac.$si $sn length=$rl'
qual-defline : '+$ac.$si $sn length=$rl'
only-unaligned : 'NO'
only-aligned : 'NO'
accession : 'SRR14298095'
accession-path: 'SRR14298095'
est. output : 87,500,370,752 bytes
disk-limit (OS) : 42,731,163,648 bytes
disk-limit-tmp (OS) : 42,731,163,648 bytes
out/tmp on same fs : 'NO'

How to change /tmp/tmpa683s3xp/ directory for directory on my empty disk?

You can change the TMPDIR variable to point to that disk:

$ export TMPDIR='/path/to/disk/'

You can check that the variable is set by running:

$ echo $TMPDIR

I'm not sure how q2_fondue works internally, so let me know if that helps!

1 Like

Thank you! This must be a solution, but in my case. i got new error when i set TMPDIR to my path '/media/rooten/w/temp/':
Traceback (most recent call last):
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/q2cli/util.py", line 475, in _load_input_file
artifact = qiime2.sdk.Result.load(fp)
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/qiime2/sdk/result.py", line 74, in load
cache = get_cache()
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/qiime2/core/cache.py", line 113, in get_cache
_CACHE.temp_cache = Cache()
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/qiime2/core/cache.py", line 379, in new
path = _get_temp_path()
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/qiime2/core/cache.py", line 158, in _get_temp_path
raise ValueError(f"Directory '{cache_dir}' already exists without "
ValueError: Directory '/media/rooten/w/temp/qiime2' already exists without proper permissions '0o41777' set. Current permissions are '0o40777.' This most likely means something other than QIIME 2 created the directory '/media/rooten/w/temp/qiime2' or QIIME 2 failed between creating '/media/rooten/w/temp/qiime2' and setting permissions on it.
The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/q2cli/click/type.py", line 116, in _convert_input
result, error = q2cli.util._load_input(value)
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/q2cli/util.py", line 384, in _load_input
artifact, error = _load_input_file(fp)
File "/home/rooten/anaconda3/envs/q2/lib/python3.8/site-packages/q2cli/util.py", line 481, in _load_input_file
raise ValueError(
ValueError: It looks like you have an Artifact but are missing the plugin(s) necessary to load it. Artifact has type 'NCBIAccessionIDs' and format 'NCBIAccessionIDsDirFmt'

There was a problem loading '/media/rooten/w/sras_temp.qza' as an artifact:

It looks like you have an Artifact but are missing the plugin(s) necessary to load it. Artifact has type 'NCBIAccessionIDs' and format 'NCBIAccessionIDsDirFmt'

See above for debug info.
if i use default TMPDIR everything OK except my disk capacity problem.

1 Like

Okay! It looks like there are still some issues with the new path /media/rooten/w/temp/

ValueError: Directory '/media/rooten/w/temp/qiime2' already exists without proper permissions '0o41777' set. Current permissions are '0o40777.'

A similar error happened here and deleting the directory seems to work well.

If no one else is using this computer, you can safely remove the TMPDIR and try again.